# wxBitmapDataObject Class Reference
[Clipboard and Drag & Drop]

`#include <wx/dataobj.h>`

Inheritance diagram for wxBitmapDataObject:
[legend]

## Detailed Description

wxBitmapDataObject is a specialization of wxDataObject for bitmap data.

It can be used without change to paste data into the wxClipboard or a wxDropSource. A user may wish to derive a new class from this class for providing a bitmap on-demand in order to minimize memory consumption when offering data in several formats, such as a bitmap and GIF.

This class may be used as is, but GetBitmap() may be overridden to increase efficiency.

wxPython Note: If you wish to create a derived wxBitmapDataObject class in wxPython you should derive the class from wxPyBitmapDataObject in order to get Python-aware capabilities for the various virtual methods.

##

Library: wxCore

Category: Clipboard and Drag & Drop

See also:
  Drag and Drop Overview, wxDataObject, wxDataObjectSimple, wxFileDataObject, wxTextDataObject, wxDataObject

## Public Member Functions
| wxBitmapDataObject (const wxBitmap &bitmap=wxNullBitmap)
| Constructor, optionally passing a bitmap (otherwise use SetBitmap() later).
virtual wxBitmap | GetBitmap () const
| Returns the bitmap associated with the data object.
virtual void | SetBitmap (const wxBitmap &bitmap)
| Sets the bitmap associated with the data object.

List of all members.

## Constructor & Destructor Documentation

wxBitmapDataObject::wxBitmapDataObject | ( | const wxBitmap & | bitmap = `wxNullBitmap` | ) |

Constructor, optionally passing a bitmap (otherwise use SetBitmap() later).

## Member Function Documentation

virtual wxBitmap wxBitmapDataObject::GetBitmap | ( |  | ) | const`[virtual]`

Returns the bitmap associated with the data object.

You may wish to override this method when offering data on-demand, but this is not required by wxWidgets' internals. Use this method to get data in bitmap form from the wxClipboard.

virtual void wxBitmapDataObject::SetBitmap | ( | const wxBitmap & | bitmap | ) | `[virtual]`

Sets the bitmap associated with the data object.

This method is called when the data object receives data. Usually there will be no reason to override this function.

|  | [ top ]